osgTerrain::SwitchLayer Class Reference

`#include <Layer>`

Inheritance diagram for osgTerrain::SwitchLayer:

## Public Member Functions

| SwitchLayer ()
| SwitchLayer (const SwitchLayer &switchLayer, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgTerrain, SwitchLayer)
void | setActiveLayer (int i)
int | getActiveLayer () const
virtual osg::Image * | getImage ()
virtual const osg::Image * | getImage () const
Public Member Functions inherited from osgTerrain::CompositeLayer
| CompositeLayer ()
| CompositeLayer (const CompositeLayer &compositeLayer, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgTerrain, CompositeLayer)
void | clear ()
void | setSetName (unsigned int i, const std::string &setname)
const std::string & | getSetName (unsigned int i) const
void | setFileName (unsigned int i, const std::string &filename)
const std::string & | getFileName (unsigned int i) const
void | setCompoundName (unsigned int i, const std::string &compoundname)
std::string | getCompoundName (unsigned int i) const
void | setLayer (unsigned int i, Layer *layer)
template<class T>
void | setLayer (unsigned int i, const osg::ref_ptr< T > &layer)
Layer * | getLayer (unsigned int i)
const Layer * | getLayer (unsigned int i) const
void | addLayer (const std::string &compoundname)
void | addLayer (const std::string &setname, const std::string &filename)
void | addLayer (Layer *layer)
template<class T>
void | addLayer (const osg::ref_ptr< T > &layer)
void | removeLayer (unsigned int i)
unsigned int | getNumLayers () const
Public Member Functions inherited from osgTerrain::Layer
| Layer ()
| Layer (const Layer &, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgTerrain, Layer)
void | setSetName (const std::string &setname)
const std::string & | getSetName () const
virtual void | setFileName (const std::string &filename)
virtual const std::string & | getFileName () const
std::string | getCompoundName () const
void | setLocator (Locator *locator)
template<class T>
void | setLocator (const osg::ref_ptr< T > &locator)
Locator * | getLocator ()
const Locator * | getLocator () const
void | setMinLevel (unsigned int minLevel)
unsigned int | getMinLevel () const
void | setMaxLevel (unsigned int maxLevel)
unsigned int | getMaxLevel () const
void | setValidDataOperator (ValidDataOperator *validDataOp)
ValidDataOperator * | getValidDataOperator ()
const ValidDataOperator * | getValidDataOperator () const
virtual unsigned int | getNumColumns () const
virtual unsigned int | getNumRows () const
void | setDefaultValue (const osg::Vec4 &value)
const osg::Vec4 & | getDefaultValue () const
void | setMinFilter (osg::Texture::FilterMode filter)
osg::Texture::FilterMode | getMinFilter () const
void | setMagFilter (osg::Texture::FilterMode filter)
osg::Texture::FilterMode | getMagFilter () const
virtual bool | transform (float, float)
virtual bool | getValue (unsigned int, unsigned int, float &) const
virtual bool | getValue (unsigned int, unsigned int, osg::Vec2 &) const
virtual bool | getValue (unsigned int, unsigned int, osg::Vec3 &) const
virtual bool | getValue (unsigned int, unsigned int, osg::Vec4 &) const
bool | getValidValue (unsigned int i, unsigned int j, float &value) const
bool | getValidValue (unsigned int i, unsigned int j, osg::Vec2 &value) const
bool | getValidValue (unsigned int i, unsigned int j, osg::Vec3 &value) const
bool | getValidValue (unsigned int i, unsigned int j, osg::Vec4 &value) const
void | computeIndices (double ndc_x, double ndc_y, unsigned int &i, unsigned int &j, double &ir, double &jr) const
bool | getInterpolatedValue (double ndc_x, double ndc_y, float &value) const
bool | getInterpolatedValidValue (double ndc_x, double ndc_y, float &value) const
virtual void | dirty ()
virtual void | setModifiedCount (unsigned int)
virtual unsigned int | getModifiedCount () const
virtual osg::BoundingSphere | computeBound (bool treatAsElevationLayer) const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~SwitchLayer ()
Protected Member Functions inherited from osgTerrain::CompositeLayer
virtual | ~CompositeLayer ()
Protected Member Functions inherited from osgTerrain::Layer
virtual | ~Layer ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

int | _activeLayer
Protected Attributes inherited from osgTerrain::CompositeLayer
Layers | _layers
Protected Attributes inherited from osgTerrain::Layer
std::string | _filename
osg::ref_ptr< Locator > | _locator
unsigned int | _minLevel
unsigned int | _maxLevel
osg::ref_ptr< ValidDataOperator > | _validDataOperator
osg::Vec4 | _defaultValue
osg::Texture::FilterMode | _minFilter
osg::Texture::FilterMode | _magFilter
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Types inherited from osgTerrain::CompositeLayer
typedef std::vector< CompoundNameLayer > | Layers

## Constructor & Destructor Documentation

## SwitchLayer() [1/2]

osgTerrain::SwitchLayer::SwitchLayer | ( |  | ) |

Referenced by META_Object(), and SwitchLayer().

## SwitchLayer() [2/2]

osgTerrain::SwitchLayer::SwitchLayer | ( | const SwitchLayer & | switchLayer,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

Copy constructor using CopyOp to manage deep vs shallow copy.

References osg::CopyOp::SHALLOW_COPY, and SwitchLayer().

## ~SwitchLayer()

virtual osgTerrain::SwitchLayer::~SwitchLayer | ( |  | ) |

inline protected virtual

## Member Function Documentation

## getActiveLayer()

int osgTerrain::SwitchLayer::getActiveLayer | ( |  | ) | const

inline

References _activeLayer.

## getImage() [1/2]

virtual osg::Image * osgTerrain::SwitchLayer::getImage | ( |  | ) |

inline virtual

Return image associated with layer if supported.

Reimplemented from osgTerrain::Layer.

References _activeLayer, osgTerrain::CompositeLayer::_layers, and osgTerrain::CompositeLayer::getNumLayers().

## getImage() [2/2]

virtual const osg::Image * osgTerrain::SwitchLayer::getImage | ( |  | ) | const

inline virtual

Return const image associated with layer if supported.

Reimplemented from osgTerrain::Layer.

References _activeLayer, osgTerrain::CompositeLayer::_layers, and osgTerrain::CompositeLayer::getNumLayers().

## META_Object()

osgTerrain::SwitchLayer::META_Object | ( | osgTerrain | ,
|  | SwitchLayer | )

References SwitchLayer().

## setActiveLayer()

void osgTerrain::SwitchLayer::setActiveLayer | ( | int | i | ) |

inline

References _activeLayer.

## Member Data Documentation

## _activeLayer

int osgTerrain::SwitchLayer::_activeLayer

protected

Referenced by getActiveLayer(), getImage(), getImage(), and setActiveLayer().

The documentation for this class was generated from the following file:

- osgTerrain/Layer